#version 450

layout(binding = 1) uniform samplerCube cubemapSampler;

layout(location = 0) in vec3 fragUVW;
layout(location = 1) in vec3 fragNormal;
layout(location = 5) in vec3 inWorldPos;

layout(location = 0) out vec4 outColor;
layout(location = 1) out vec4 outNormal;
layout(location = 2) out vec4 outCoefficients;
layout(location = 3) out vec4 outMaterials;
layout(location = 4) out vec4 outWorldPos;

void main() {
    outColor = texture(cubemapSampler, fragUVW);
	outNormal = vec4(0.0f);
	outCoefficients = vec4(1.0f, 0.0f, 0.0f, 1.0f);
	outMaterials = vec4(0.0f, 1.0f, 0.0f, 1.0f);
	outWorldPos = vec4(inWorldPos, 1.0f);
}