#version 450

layout(location = 0) in vec4 fragColor;
layout(location = 1) in vec3 fragNormal;
layout(location = 5) in vec3 inWorldPos;

layout(location = 0) out vec4 outColor;
layout(location = 1) out vec4 outNormal;
layout(location = 2) out vec4 outCoefficients;
layout(location = 3) out vec4 outMaterial;
layout(location = 4) out vec4 outWorldPos;

void main() {

    //vec2 coord = gl_PointCoord - vec2(0.5);
    //outColor = vec4(fragColor, 0.5 - length(coord));
	outColor = fragColor;
	outNormal = vec4(normalize(fragNormal), 1.0f);
	outCoefficients = vec4(0.2f, 1.0f, 0.2f, 1.0f);
	outMaterial = vec4(0.3f, 0.6f, 0.2f, 1.0f);
	outWorldPos = vec4(inWorldPos, 1.0f);
}